aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Kahle <tom111@gmx.de>2010-10-06 18:21:56 +0200
committerThomas Kahle <tom111@gmx.de>2010-10-06 18:21:56 +0200
commit03f553ab70b40d01c5dc289b3cdb1345f887f244 (patch)
tree340c86df1c87a433346c3ff731d4f34a124f14aa
parentpetsc-3.1-p5: appending fortran configure flags dependent on fortran use-flag (diff)
downloadsci-03f553ab70b40d01c5dc289b3cdb1345f887f244.tar.gz
sci-03f553ab70b40d01c5dc289b3cdb1345f887f244.tar.bz2
sci-03f553ab70b40d01c5dc289b3cdb1345f887f244.zip
Bump jgraphx to 1.4.1.2
-rw-r--r--dev-java/jgraphx/ChangeLog5
-rw-r--r--dev-java/jgraphx/Manifest4
-rw-r--r--dev-java/jgraphx/jgraphx-1.4.1.2.ebuild42
3 files changed, 50 insertions, 1 deletions
diff --git a/dev-java/jgraphx/ChangeLog b/dev-java/jgraphx/ChangeLog
index 775d37eb3..db63fbc87 100644
--- a/dev-java/jgraphx/ChangeLog
+++ b/dev-java/jgraphx/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*jgraphx-1.4.1.2 (06 Oct 2010)
+
+ 06 Oct 2010; Thomas Kahle <tom111@gmx.de> +jgraphx-1.4.1.2.ebuild:
+ Bump to 1.4.1.2
+
01 Jun 2010; Kacper Kowalik <xarthisius@gentoo.org>
jgraphx-1.2.0.7.ebuild, jgraphx-1.3.0.2.ebuild:
Fixing SRC_URI
diff --git a/dev-java/jgraphx/Manifest b/dev-java/jgraphx/Manifest
index 1f6f49742..937d6a028 100644
--- a/dev-java/jgraphx/Manifest
+++ b/dev-java/jgraphx/Manifest
@@ -1,6 +1,8 @@
DIST jgraphx-1.2.0.7.zip 3034071 RMD160 665dd0344582d3363924ffd4faf21b7a78ffcf9b SHA1 7548b568f66683b46d19b9fb42083992afa34c87 SHA256 9dfc39de448d9ba28ab6b27fe3c8e920033779feb38dbe45cf96145c6d506b08
DIST jgraphx-1.3.0.2.zip 3055762 RMD160 3d38cd07e5826bc445344f8c2e8cf632c2415367 SHA1 1b045cf66211c68dd102053208d6cb7b5781f294 SHA256 c58aa9e3b1f334f54633017f1f9b35204e19d18524c41df3a5e68c2aa50d2c2d
+DIST jgraphx-1.4.1.2.zip 4148011 RMD160 23d0f962f4795e525d988ced4a25438c16389a2b SHA1 2f18ce5eae18a199d32011ccb7fbfb3c4dd8f9a8 SHA256 cb0216df6fe3e9351afae7f02585e6f5c50e28e764d9504dd8aa558a87d3fe95
EBUILD jgraphx-1.2.0.7.ebuild 989 RMD160 1388eb71cf6fb730b1c89c117618d106bf1ed427 SHA1 8fde596380e7ad34e001c87286b18309cd51fd74 SHA256 ccd8c47f7fb7ffd0b7a87f96d7a3dbf1737b1d57ef93225bae437fd1d69f60c6
EBUILD jgraphx-1.3.0.2.ebuild 1083 RMD160 5bca8c05896c02b64e5a38c31fbd608d55a6ec69 SHA1 aa05920cd1778c0d2244fe52dc7242217eb3a3b7 SHA256 58cf39bb6502dc83fc5acf824c4d1df98b4ed771af867cb297eaeddabb528cfb
-MISC ChangeLog 636 RMD160 ee2a0b4ed2e0700bed5c3a88b65aff2e4b81ce4d SHA1 8ce1505bd91fd1c05def7266a6599e4fe780aebf SHA256 19c312406be89403b1cd11daacf9f0cbcd9257a89807f9ba855ddaecaf92adbf
+EBUILD jgraphx-1.4.1.2.ebuild 981 RMD160 236c4be3bab9db118fe3035f66510fec8e3f2ef6 SHA1 825fed242621466e897177e9305f716239217357 SHA256 f33a5b18210a564fc837467e567d53a505e83eef580e1b556b18b8c0bfde4a13
+MISC ChangeLog 756 RMD160 19e9a28145509885c529e63df8997f0f3b84bd6a SHA1 b0b9d68ab8a984d13ab112784bbb7cae696cda4f SHA256 ccde3db321a273a394c03d20c7df0c610a85570ac869afee6cac74a6c830d371
MISC metadata.xml 704 RMD160 3ae5236d86cb263bd2fadda690f231d35f21a8e8 SHA1 8938461bb684a230a0c7cb7a85254ba74810ed3a SHA256 f2719f20f7497962b62af829f36ffff0ee57b8f06280560c891b82f33dfc702b
diff --git a/dev-java/jgraphx/jgraphx-1.4.1.2.ebuild b/dev-java/jgraphx/jgraphx-1.4.1.2.ebuild
new file mode 100644
index 000000000..9fe1ad9d0
--- /dev/null
+++ b/dev-java/jgraphx/jgraphx-1.4.1.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+JAVA_PKG_IUSE="doc source"
+EAPI=2
+inherit java-pkg-2 java-ant-2 versionator
+
+MY_PV=$(replace_all_version_separators '_')
+
+DESCRIPTION="Open-source graph component for Java"
+SRC_URI="http://www.jgraph.com/downloads/jgraphx/archive/${PN}-${MY_PV}.zip\
+ -> ${P}.zip"
+HOMEPAGE="http://www.jgraph.com"
+IUSE="doc examples source"
+DEPEND=">=virtual/jdk-1.5
+ app-arch/unzip"
+RDEPEND=">=virtual/jre-1.5"
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ # don't do javadoc always
+ sed -i \
+ -e 's/depends="doc"/depends="compile"/' \
+ build.xml || die "sed failed"
+ rm -rf doc/api lib/jgraphx.jar || die
+}
+
+EANT_BUILD_TARGET="build"
+EANT_DOC_TARGET="doc"
+
+src_install() {
+ java-pkg_dojar lib/${PN}.jar
+
+ use doc && java-pkg_dojavadoc docs/api
+ use source && java-pkg_dosrc src/org
+ use examples && java-pkg_doexamples examples
+}